/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IHorarepeticao;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Horarepeticao implements VertxPojo, IHorarepeticao {

    private static final long serialVersionUID = -739108778;

    private Integer horid;
    private String  horhora;
    private Date    hordiainicial;
    private Integer horrepetiracada;
    private String  hortiporepeticao;

    public Horarepeticao() {}

    public Horarepeticao(Horarepeticao value) {
        this.horid = value.horid;
        this.horhora = value.horhora;
        this.hordiainicial = value.hordiainicial;
        this.horrepetiracada = value.horrepetiracada;
        this.hortiporepeticao = value.hortiporepeticao;
    }

    public Horarepeticao(
        Integer horid,
        String  horhora,
        Date    hordiainicial,
        Integer horrepetiracada,
        String  hortiporepeticao
    ) {
        this.horid = horid;
        this.horhora = horhora;
        this.hordiainicial = hordiainicial;
        this.horrepetiracada = horrepetiracada;
        this.hortiporepeticao = hortiporepeticao;
    }

    @Override
    public Integer getHorid() {
        return this.horid;
    }

    @Override
    public Horarepeticao setHorid(Integer horid) {
        this.horid = horid;
        return this;
    }

    @Override
    public String getHorhora() {
        return this.horhora;
    }

    @Override
    public Horarepeticao setHorhora(String horhora) {
        this.horhora = horhora;
        return this;
    }

    @Override
    public Date getHordiainicial() {
        return this.hordiainicial;
    }

    @Override
    public Horarepeticao setHordiainicial(Date hordiainicial) {
        this.hordiainicial = hordiainicial;
        return this;
    }

    @Override
    public Integer getHorrepetiracada() {
        return this.horrepetiracada;
    }

    @Override
    public Horarepeticao setHorrepetiracada(Integer horrepetiracada) {
        this.horrepetiracada = horrepetiracada;
        return this;
    }

    @Override
    public String getHortiporepeticao() {
        return this.hortiporepeticao;
    }

    @Override
    public Horarepeticao setHortiporepeticao(String hortiporepeticao) {
        this.hortiporepeticao = hortiporepeticao;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Horarepeticao (");

        sb.append(horid);
        sb.append(", ").append(horhora);
        sb.append(", ").append(hordiainicial);
        sb.append(", ").append(horrepetiracada);
        sb.append(", ").append(hortiporepeticao);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IHorarepeticao from) {
        setHorid(from.getHorid());
        setHorhora(from.getHorhora());
        setHordiainicial(from.getHordiainicial());
        setHorrepetiracada(from.getHorrepetiracada());
        setHortiporepeticao(from.getHortiporepeticao());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IHorarepeticao> E into(E into) {
        into.from(this);
        return into;
    }

    public Horarepeticao(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
